#include <stdio.h>
#include <stdlib.h>


int main()
{
    long long int n, i, m, bmax=-99999999999999, jmax=-99999999999999, k, a[250000], b=0, j=0;
    scanf("%lld", &n);
    scanf("%lld", &m);

    for(i=0;i<n;i++)
      scanf("%lld",&a[i]);

    for(i=0;i<n;i++)
    {
       if(a[i]>m)
        {
        if(a[i]-m>jmax && a[i]-m!=0)
         jmax=a[i]-m;


         }
       else
        {
        if(m-a[i]>bmax && m-a[i]!=0)
         bmax=m-a[i];


         }

    }

    for(i=0;i<n;i++)
        if(a[i]<m)
         b++;
     if(b==0)
        bmax=0;

    for(i=0;i<n;i++)
        if(a[i]>m)
         j++;
     if(j==0)
        jmax=0;


    if(2*jmax+bmax>2*bmax+jmax)
        k=2*bmax+jmax;

    else
        k=2*jmax+bmax;


    printf("%lld", k);






    return 0;
}